/*
	This do file compiles all the industry-level variables: import exposure, PNTR status and NETS job flows data
	Last edited: November 21, 2017
	
*/

set more off
set matsize 1000
clear all


* Define Directories
local dir "..." //Insert your directory path
local tradedir "`dir'/AGNR-JobFlowsChinaShock/data/trade/"
local netsdir "`dir'/AGNR-JobFlowsChinaShock/data/nets/"
local pntrdir "`dir'/AGNR-JobFlowsChinaShock/data/pntr/"
local finaldir "`dir'/AGNR-JobFlowsChinaShock/data/sample/"

* Load trade dataset
use "`tradedir'clean/trade_variables.dta", clear

* merge in NETS employment and job flows data
merge 1:1 year sic87dd using "`netsdir'national/nets_industry.dta", nogenerate 
*1963-1991 not in NETS, 2012 not in trade data
keep if year > 1990 

* merge in PNTR measure
merge m:1 sic87dd using "`pntrdir'clean/spread.dta", nogenerate

save "`finaldir'main_industry.dta", replace

